use std::path::Path;

use bollard::Docker;
use fcmc::ChallengeMeta;

#[tokio::test]
async fn main() {
    dbg!("star");

    let challenge_dir = Path::new("E:/fb0sh/MyProjects/floatctf/fcmc/challenges/comment");
    let meta_path = challenge_dir.join("meta.toml");
    dbg!(&meta_path);
    let content = std::fs::read_to_string(meta_path).unwrap();
    let cm = ChallengeMeta::from_toml_str(&content).unwrap();

    let a = cm.build_image(&challenge_dir.join("src")).await.unwrap();

    dbg!(a);
}
